hello,
thanks to the help of racke and kolter on the freenode #sympa channel,
i have a sympa installed from buster packages in a docker.
https://github.com/sympa-community/sympa-docker/tree/master/registry/sympa:buster
i also tried to help about the invoke-rc.d thing. see the pactch in
attachement
many thanks for help
regards
diff --git a/debian/sympa.logrotate b/debian/sympa.logrotate
index 2a7ca96..c5380dc 100644
--- a/debian/sympa.logrotate
+++ b/debian/sympa.logrotate
@@ -7,11 +7,13 @@
delaycompress
create 640 sympa adm
postrotate
- if [ -e /proc/1/exe ] && readlink -f /proc/1/exe | grep -q 'systemd' ; then
- systemctl try-reload-or-restart sympa
- else
- invoke-rc.d --quiet sympa reload > /dev/null
- fi
- invoke-rc.d --quiet rsyslog rotate > /dev/null || true
+ grep -q /docker /proc/self/cgroup || {
+ if [ -e /proc/1/exe ] && readlink -f /proc/1/exe | grep -q 'systemd' ; then
+ systemctl try-reload-or-restart sympa
+ else
+ invoke-rc.d --quiet sympa reload > /dev/null
+ fi
+ invoke-rc.d --quiet rsyslog rotate > /dev/null || true
+ }
endscript
}
diff --git a/debian/sympa.postinst b/debian/sympa.postinst
index fa1618d..324e9c0 100644
--- a/debian/sympa.postinst
+++ b/debian/sympa.postinst
@@ -78,13 +78,15 @@ fi
# Stop the daemon if it has already been started This is necessary when you run
# dpkg-reconfigure
if [ "$1" = "configure" ]; then
- if [ -f /etc/init.d/sympa ]; then
- if which invoke-rc.d >/dev/null 2>&1; then
- invoke-rc.d sympa stop || true
- else
- /etc/init.d/sympa stop || true
+ grep -q /docker /proc/self/cgroup || {
+ if [ -f /etc/init.d/sympa ]; then
+ if which invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d sympa stop || true
+ else
+ /etc/init.d/sympa stop || true
+ fi
fi
- fi
+ }
fi
# Install sympa.conf